#!/usr/bin/python
# -*- coding: utf-8 -*-
from Tkinter import *
import tkMessageBox

###########################
def senden():
    tkMessageBox.showinfo('Senden','May be later!')

def verbinde():
    tkMessageBox.showinfo('Verbinde','May be later!')

def info():
    tkMessageBox.showinfo('Info','Binding-Demo!')

def ende():
    root.destroy()

def callback(event):
    tkMessageBox.showinfo('Senden','May be later!')
###########################
root = Tk()
root.title('Binding-Demo')

textfenster = Text(root,width=90)
textfenster.pack(fill=BOTH,expand=YES)

eingabe = Entry(root,width=60)
eingabe.pack(side=LEFT,fill=BOTH,expand=YES)

eingabe.bind('<Return>',callback)
eingabe.bind('<F1>',callback)
eingabe.bind('<Alt-y>',callback)     ## Achtung: kleines y
eingabe.bind('<Control-E>',callback) ## Achtung: GROSSES E
eingabe.bind('<Key-Escape>',callback)
## 
textfenster.bind("<Shift-Up>",callback) 
textfenster.bind("<Shift-Down>",callback)
## jetzt die rechte Maus-Taste
textfenster.bind("<Button-3>",callback) 
## probiere auch
##textfenster.bind("<Button-1>",callback)


but1 = Button(root,text='Senden', command = senden)
but1.pack(side = LEFT,expand=NO)

but2 = Button(root,text='Verbinden', command = verbinde)
but2.pack(side = LEFT,expand=NO)

but3 = Button(root,text='Info', command = info)
but3.pack(side = LEFT,expand=NO)

but4 = Button(root,text='Beenden', command = ende)
but4.pack(side = LEFT,expand=NO)

textfenster.insert(END,'Versuche die rechte Maustaste, ESC,\n')
textfenster.insert(END,'Shift-Down, Shift-Up, Alt-y, Strg-E,\n')
textfenster.insert(END,'die F1-Taste oder Enter\n')
textfenster.insert(END,'\nManches geht nur in der Eingabezeile unten . . \n')
textfenster.insert(END,'\n . . . und manches nur im Textfenster!\n')

root.mainloop()
